Create a subnetwork for a network pool
Create or allocate a subnetwork from a pool by sending a POST request to the /v1/network_pools/{network_pool_id}/subnetworks endpoint. The parameters of a new subnetwork have to be described in the request body. It's optional to choose cidr or mask. One of these parameters must be added to perform the request.
Authorization
bearerAuth In: header
Path Parameters
| Field | Details |
|---|---|
network_pool_id | stringA unique identifier of a pool from where a subnetwork will be allocated. |
Request Body
| Field | Details |
|---|---|
title? | stringGive a name to a subnetwork. |
cidr? | stringIf this parameter is filled in, a subnetwork will be created according to the specified Classless Inter-Domain Routing pattern: x.x.x.x/x. For example: 192.168.0.0/29. |
mask? | integerA mask is an alternative parameter to CIDR. If it's specified, a subnetwork will be allocated from a pool by the mask. For example, 255.255.255.0. |
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/network_pools/Jrb28JeW/subnetworks" \ -H "Content-Type: application/json" \ -d '{ "title": "my new public network", "cidr": "100.10.32.0/29" }'{ "id": "ELe36rd6", "network_pool_id": "Jrb28JeW", "title": "my new public network", "cidr": "100.10.32.0/29", "attached": false, "interface_type": "public", "updated_at": "2026-05-28T06:56:13Z", "created_at": "2026-05-28T06:56:13Z"}